Bug 678669 - Realtek RTL8192SE and RTL8191SE wireless cards cannot be detected by Fedora
Summary: Realtek RTL8192SE and RTL8191SE wireless cards cannot be detected by Fedora
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stanislaw Gruszka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-18 20:24 UTC by fire.genius
Modified: 2013-01-10 06:28 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-29 11:38:27 UTC
Type: ---


Attachments (Terms of Use)

Description fire.genius 2011-02-18 20:24:40 UTC
Realtek RTL-9192SE and RTL-8191SE wireless cards are not detected by Fedora. These both cards using same driver package in Linux and Windows. And  these both cards are working on Ubuntu 10.10.

Drivers are also available at producer's web site:
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=48&PFid=48&Level=5&Conn=4&DownTypeID=3&GetDown=false&Downloads=true#RTL8192SE

Can you integrate this drivers to installation and make Fedora work with this wireless cards out of the box.

Thank you.

Comment 1 udayb 2011-03-25 09:45:03 UTC
I have the same problem even today with the latest kernel for F14
2.6.35.11-83.fc14.i686

From lspci,

02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8191SEvB Wireless LAN Controller (rev 10)

Any progress on this?

Comment 2 udayb 2011-03-25 09:49:33 UTC
Build and install of drivers from the manufacturer's website leads to other issues (again Fedora-specific, nothing wrong with Realtek's drivers). In particular, when installation of the driver tries to build modules from the kernel source tree

make -C /lib/modules/2.6.35.11-83.fc14.i686/build M= CC=gcc modules
make[2]: Entering directory `/usr/src/kernels/2.6.35.11-83.fc14.i686'
  CHK     include/linux/version.h
  CHK     include/generated/utsrelease.h
make[3]: *** No rule to make target `missing-syscalls'.  Stop.
make[2]: *** [prepare0] Error 2
make[2]: Leaving directory `/usr/src/kernels/2.6.35.11-83.fc14.i686'
make[1]: *** [modules] Error 2

I do have 'kernel-devel' and kernel-includes installed.

Comment 3 udayb 2011-03-25 10:05:54 UTC
This card is now on the IBM ThinkPad x201, and so anyone running FC14 on it will not be able to get wireless working out of the box. Can the priority be raised given the number of users affected? Also, there are no posts/replies besides the originator's.

Comment 4 Stanislaw Gruszka 2011-03-25 10:17:03 UTC
I'm sorry, I hopped rtl8192su drivers will be included upstream soon, and I could offer to you compat-wireless packages. But currently we have only rtl8192ce, rtl8192cu in 2.6.39 kernel, rtl8192se was posted.

But I believe rpmfusion have already packages with these drivers, please checkout at http://rpmfusion.org/

In general this bug will not be resolved soon. First we need drivers upstream inclusion.

Comment 5 udayb 2011-03-25 10:56:58 UTC
Thanks.  Do you know the names of those packages to be installed via yum (once rpmfusion free/non-free repos have  been enabled)? This will really provide a simple solution for now.

Comment 6 udayb 2011-03-25 11:03:32 UTC
I checked rpmfusion. I couldn't find anything related to these drivers there. I checked under Fedora -> i386 -> free under release, updates, and updates-testing, under 'Hardware support'. However, it's on the wishlist there:

http://rpmfusion.org/Wishlist

Any other way?

Comment 7 Stanislaw Gruszka 2011-03-25 11:44:33 UTC
No idea except fixing compilation of vendor driver or build upstream kernel from source with patches from 
http://marc.info/?l=linux-wireless&m=129939336917801&w=2

When driver will be committed, what should happen within a month or two, it will be available via compat-wireless packages:
http://people.redhat.com/sgruszka/compat_wireless.html

Comment 8 udayb 2011-03-25 12:16:20 UTC
Obviously, one would like to build a separate module instead of patching and updating kernel (as is done with nvidia's driver). I find the vendor driver itself fine (builds correctly), but something else not right with the kernel source tree (as provided by kernel-devel, pls see my original post above) prevents this module's installation. Each time we get a new kernel via yum, we could just recompile and load this Realtek module w/o the need to patch, build, reinstall, and reboot with the updated kernel.

Comment 9 udayb 2011-03-25 12:18:32 UTC
I've opened a separate bug report (690773) for the 'No missing-syscalls target', but steps on getting the vendor driver work correctly on FC14 as a module will be appreciated.

Comment 10 udayb 2011-03-25 12:24:12 UTC
(In reply to comment #9)
> I've opened a separate bug report (690773) for the 'No missing-syscalls
> target', but steps on getting the vendor driver work correctly on FC14 as a
> module will be appreciated.

... till the driver gets into the kernel, as one or two months is a long time. In fact, Linux drivers for Realtek 8191 were released in Dec 2010 or earlier; so presumably there are big issues getting it into the kernel, given how long it has taken for FC.

Comment 11 Stanislaw Gruszka 2011-03-25 13:11:08 UTC
The best way to have rtl8192se support in Fedora before drivers gets mainline is create rpmfusion package.

I have no idea about this "missing-syscalls" problem. I believe you can install by doing:

$ sudo cp HAL/rtl8192/*.ko /lib/modules/`uname -r`/extra/
$ sudo depmod -a

Comment 12 Chuck Ebbert 2011-03-25 18:22:11 UTC
Try the latest F15 kernel.

Comment 13 udayb 2011-03-25 18:29:38 UTC
Do you know already if it works? Or if it includes the driver?

Comment 14 Stanislaw Gruszka 2011-03-28 07:00:26 UTC
No, F-15 2.6.38 kernel contains only rtl8192ce driver.

Comment 15 udayb 2011-03-28 08:41:24 UTC
It finally works. (In reply to comment #11)
> The best way to have rtl8192se support in Fedora before drivers gets mainline
> is create rpmfusion package.
> 
> I have no idea about this "missing-syscalls" problem. I believe you can install
> by doing:
> 
> $ sudo cp HAL/rtl8192/*.ko /lib/modules/`uname -r`/extra/
> $ sudo depmod -a

It finally works, thanks; one has to copy the firmware files as well. Here is the complete list of steps.

1. Download drivers from Realtek's website
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=21&PFid=48&Level=5&Conn=4&DownTypeID=3&GetDown=false
In my case, it was rtl8192se_linux_2.6.0019.1207.2010 (1976 kB) even though I selected 8191SE-VA2 (my card is actually 8191SEvB); it should work.

2. Build the drivers
3. sudo cp HAL/rtl8192/*.ko /lib/modules/`uname -r`/extra/
4. sudo cp -r firmware/RTL8192SE/ /lib/firmware/
5. sudo depmod -a
6. modprobe r8192se_pci (or whatever the module was named, w/o the .ko prefix)

See dmesg output to check if the card was detected, or run system-config-network and you'll be able to see the wireless card listed under hardware. KDE networkmanager will (automatically) start showing the WLAN interface as well.

Comment 16 udayb 2011-03-28 08:43:48 UTC
In addition to the above, each time your kernel gets upgraded via yum update, just rebuild the module (repeat steps 2--5); no need to modify kernel or reboot.

Comment 17 udayb 2011-03-28 17:11:32 UTC
Just to repost all steps; message got split above and below.

It finally works, thanks; one has to copy the firmware files as well. Here is
the complete list of steps.

1. Download drivers from Realtek's website
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=21&PFid=48&Level=5&Conn=4&DownTypeID=3&GetDown=false
In my case, it was rtl8192se_linux_2.6.0019.1207.2010 (1976 kB) even though I
selected 8191SE-VA2 (my card is actually 8191SEvB); it should work.
2. Build drivers (don't do a 'make install')
3. sudo cp HAL/rtl8192/*.ko /lib/modules/`uname -r`/extra/
4. sudo cp -r firmware/RTL8192SE/ /lib/firmware/
5. sudo depmod -a
6. modprobe r8192se_pci (or whatever the module was named, w/o the .ko prefix)
7. See dmesg output to check if card was detected, or run system-config-network and you'll be able to see the wireless card listed under hardware. KDE networkmanager will (automatically) start showing a WLAN interface as well.
8. Each time your kernel gets upgraded via yum update,
   just rebuild module (repeat steps 2,3,5,6); no need to modify kernel or
   reboot.

Comment 18 Mike Harris 2011-06-05 02:19:30 UTC
I have the RTL8191S USB version, and using the rtl8712_8188_8191_8192SU_usb_linux_v2.6.6.0.20110401 version and Fedora 15's kernel 2.6.38.6-27.fc15.x86_64, I get a core dump when the device is inserted. Has anyone had any luck with this card/driver/kernel, or should I wait till they release a version that works with 2.6.38?

Comment 19 W. Michael Petullo 2011-06-09 02:19:38 UTC
I have submitted a r8192se_pci package to RPM Fusion. Please see:

https://bugzilla.rpmfusion.org/show_bug.cgi?id=1797

Comment 20 Stanislaw Gruszka 2011-06-09 07:12:19 UTC
Also compat-wireless-next should contains now requested drivers
http://people.redhat.com/sgruszka/compact_wireless.html .

Comment 21 udayb 2011-06-09 07:37:50 UTC
Thanks, but I can't find compat-wireless-next or compat-wireless on rpmfusion. I have FC14 (32-bit i686)

------------------------
$ sudo yum -y install compat-wireless-next
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Adding en_US to language list
Loading mirror speeds from cached hostfile
 * fedora: fedora.iitm.ac.in
 * rpmfusion-free: download1.rpmfusion.org
 * rpmfusion-free-updates: download1.rpmfusion.org
 * rpmfusion-nonfree: download1.rpmfusion.org
 * rpmfusion-nonfree-updates: download1.rpmfusion.org
 * updates: ftp.itu.edu.tr
Setting up Install Process
No package compat-wireless-next available.
Error: Nothing to do
]$ sudo yum -y install compat-wireless
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Adding en_US to language list
Loading mirror speeds from cached hostfile
 * fedora: fedora.iitm.ac.in
 * rpmfusion-free: download1.rpmfusion.org
 * rpmfusion-free-updates: download1.rpmfusion.org
 * rpmfusion-nonfree: download1.rpmfusion.org
 * rpmfusion-nonfree-updates: download1.rpmfusion.org
 * updates: ftp.itu.edu.tr
Setting up Install Process
No package compat-wireless available.
Error: Nothing to do

Comment 22 Stanislaw Gruszka 2011-06-09 07:57:30 UTC
It's not rpmfusion, packages are on my home page, basically you need copy 
http://people.redhat.com/sgruszka/compat-wireless.repo to /etc/yum.repos.d/ . Other instructions are in html file I referenced above.

Comment 23 Emmanuel Kasper 2011-07-26 16:37:47 UTC
Intel Classmate Quanta NL2 ships with a realtek wireless adapter, which also misses this driver.
(I 'm running fedora 15 with kernel-2.6.38.8-35.fc15.i686 )

This is the output of lspci 

07:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8191SEvB Wireless LAN Controller (rev 10)
	Subsystem: Device 1a32:0308
 

@stanislaw: 
What is the status regarding the support of this device in Mainline kernel ?

Comment 24 Stanislaw Gruszka 2011-07-27 08:26:41 UTC
I believe it is supported upstream starting from 3.0. Did you tried compat-wireles-next from http://people.redhat.com/sgruszka/compact_wireless.html ?
If it not work please provide output of "lspci -nn | grep Realtek" .

Comment 25 Emmanuel Kasper 2011-07-28 18:51:59 UTC
Yes,  with compat-wireless-next, the card is indeed working.

I have seen in http://kernelnewbies.org/Linux_3.0_DriverArch
the following line:
rtlwifi: Add support for rtl8192se and rtl8192de

as my card is 

07:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. RTL8191SEvB Wireless LAN Controller [10ec:8172] (rev 10)

I guess this is what we are talking about

As far as I am concerned I consider the bug to be fixed since:
  * there is  a package fixed a driver for the hardware for Fedora 15 ( which will be hopefully updated as well as Fedora 15 kernel updates will go :)
  * mailine kernel has the driver, hence next fedora releases will have it as well

Comment 26 redhat-bugs2eran 2011-07-28 19:48:50 UTC
8192SEvB works for me on Fedora 15 with rawhide's kernel-3.0.0-1.fc16.x86_64.
(To install, "yum --enablerepo=rawhide update kernel kernel-headers kernel-devel")

Comment 27 Emmanuel Kasper 2011-08-23 08:19:43 UTC
@redhat-bugs2eran@tromer.org & others:

no need to update to rawhide to get the working driver

as Fedora Updates ships now a working 3.0 Linux under the name 2.6.40, you just need to update your system to the last Fedora 15 kernel to get a working driver.

Comment 28 Thiago 2011-10-22 14:28:16 UTC
I discovered solution for kernel 2.6.40.

1: add on blacklist: "rtl8192se"
2: follow: http://www.thebinaryidiot.com/archives/2011/06/20/realtek-rtl8191seva-wireless-in-fedora/

Works perfect!


Note You need to log in before you can comment on or make changes to this bug.